coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/external-vendor-sku-codes/{externalVendorSkuCode}2609170000

Query a summary of product info

# 01

Summary

Query a summary of product info

# 02

Details

Available buyer market: Korea,Taiwan

You can query a summary of product info using the seller product code (externalVendorSku) entered to list/modify products.

Please make sure to wait at least 1 minute after the product creation is complete before calling this API for inquiry

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/external-vendor-sku-codes/{externalVendorSkuCode}

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/external-vendor-sku-codes/{externalVendorSkuCode}

URL API Name

GET_PRODUCT_BY_EXTERNAL_SKU
# 03

Path parameters

NameTypeDescription
externalVendorSkuCode*string
Seller product code (vendor product code)
# 04

Response body

Response message

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
dataobject[]
List of vendor products
Repeat N times, the number of vendor products
sellerProductId
data[].sellerProductId
integer
Listed Product ID
sellerProductName
data[].sellerProductName
string
Listed Product Name
Search for listed product name. 20 characters or less
displayCategoryCode
data[].displayCategoryCode
number
Display category code
vendorId
data[].vendorId
string
Seller ID
Unique code issued to Vendor by Coupang
saleStartedAt
data[].saleStartedAt
string
Date/time of starting selling
"yyyy-MM-dd'T'HH:mm:ss"
saleEndedAt
data[].saleEndedAt
string
Date/time of stopping selling
"yyyy-MM-dd'T'HH:mm:ss," *Year can be set up to 2099
brand
data[].brand
string
Brand
To be official Korean/English names
statusName
data[].statusName
string
Status name of vendor product
Parameter Name Status
IN_REVIEW Under review
SAVED Temporarily saved
APPROVING Awaiting approval
APPROVED Approved
PARTIAL_APPROVED Partially approved
DENIED Approval denied
DELETED Product deleted
Parameter NameStatus
IN_REVIEW
SAVED
APPROVING
APPROVED
PARTIAL_APPROVED
DENIED
DELETED
createdAt
data[].createdAt
string
Date/time of product listing
"yyyy-MM-dd'T'HH:mm:ss"

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": [
    {
      "sellerProductId": 123,
      "sellerProductName": "[인xx] 컴퓨터잡지",
      "displayCategoryCode": null,
      "categoryId": 5555,
      "productId": 3333,
      "vendorId": "A0xxxxx",
      "mdId": "jxxx@",
      "mdName": "박xxx",
      "saleStartedAt": "2015-12-28T06:00:00",
      "saleEndedAt": "2099-01-01T00:00:00",
      "brand": null,
      "statusName": "승인완료",
      "createdAt": "2015-12-28T18:57:34"
    }
  ]
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
500500 (check request parameter)

API call to HTTP://seller-listing-search.coupang.net:80/vendor/vendor-inventories/scroll(5d0cb26d7122730022da07f9) failed with status code 500.

This is a server error. Check if the seller product code (externalVendorSkuCode) is correct and attempt again to call the API sometime later.